Minecraft PE 0.9.0 won't support infinite worlds on single-core devices

406235-google-nexus-5-unlocked

One of Minecraft Pocket Edition's most awaited features is infinite worlds, which will allow players to create and play in worlds far bigger than the current PE 0.8.0 size. But it seems that not all devices will be allowed to use infinite worlds. Today Tobias Mollstam form Mojang explained in detail why MCPE 0.9.0 will leave single-core devices with only limited worlds:
Minecraft has always run on a single core until now, so to find the power to do more stuff like streaming I've relied quite a lot on the second (or third, or fourth, or...) core. This means that the game with streaming on can be twice as heavy now in absolute terms! If you have a 2+ core phone you won't see any change, actually it will be faster and less laggy because the work is spread between them. Single core core devices instead have to process the double workload on their single CPU, and that means that streaming the world might be slow and stuttery. It shouldn't be twice as bad, but yeah, we will recommend to play 256x256 worlds on those devices.

For those of you not familiar with phone specifications, single-core devices refers to phones/tablets/etc with a CPU that only has one core, while dual-core core devices have two CPU cores, quad-core have four, etc. There are plenty of other popular devices that have a dual-core CPU (or even a quad-core CPU), and pretty much every Android phone within the last three years has at least two CPU cores. Even if your device doesn't, you will still be able to join servers with infinite worlds. If you're worried if your phone will make the cut, here's a few popular devices that have two or more cores (the + means that every model after that has more than two cores):

  • Apple iPhone 4S+

  • Apple iPad 2+

  • Apple iPad Mini

  • Apple iPod Touch 5th Generation

  • Samsung Galaxy S2/S3/S4/S5+

  • Samsung Galaxy Note+  (all models)

  • Samsung Galaxy Mega

  • Samsung Galaxy Tab (all models except the original Tab 7.0, and 7.0 Plus works)

  • HTC One, One S, One X, One XL, One+, One Mini, One Max

  • Google Nexus (all phones/tablets except the original Nexus One)


FULL LIST HERE

If you aren't sure if your specific phone or tablet will work, do a search for your phone on Phone Arena and take a look at 'Processor' in the Hardware category. As mentioned before, if your device is from about 2011 or newer you should be fine, and even if it doesn't you can still join worlds with infinite worlds and enjoy 0.9.0's other features.

Source: Reddit

Share this

Previous
Next Post »

29 comments

comments
Batman
February 27, 2014 at 10:23 AM delete

will they have pressure plates in the update?

Reply
avatar
Ricky blaze
February 27, 2014 at 11:00 AM delete

No.


And ur batman, u should know these things.

Reply
avatar
Batman
February 27, 2014 at 11:30 AM delete

no I just needed to know if I had to know if I needed to spend 1 mil on a pressure plate project. sponsored by Wayne enterprises.

Reply
avatar
Justin M Berry
February 27, 2014 at 11:46 AM delete

So does it mean my old galaxy 2 will work but not my jelly bean ipad!

Reply
avatar
Theblazingdarkzone
February 27, 2014 at 11:59 AM delete

I'M NOT BATMAN

Reply
avatar
Batman
February 27, 2014 at 12:08 PM delete

no im to smart for that it has to look convincing when it is on stone so that it blows up the joker on multiplayer. but if you want it to.........

Reply
avatar
Batman
February 27, 2014 at 12:14 PM delete

Im the hero minecraft deserves but not the one it needs right now. I'm a silent guardian. A watchful protector. A Dark Knight.

Reply
avatar
Batman
February 27, 2014 at 1:28 PM delete

are ghasts going to be in the update?

Reply
avatar
carpet111
February 28, 2014 at 7:49 AM delete

they should at least give size options like 1000x1000 or something such as that.

Reply
avatar
FruitcakeCat63
March 1, 2014 at 12:41 AM delete

don't we all wish they were?

Reply
avatar
CJ
March 1, 2014 at 1:30 AM delete

Will Kindle Fire HD work?

Reply
avatar
Minecraft girl
March 1, 2014 at 3:16 AM delete

I'm so happy!! iPad 3!!! I want to play with my grind as soon as the update comes out!! Speaking of that, the beds aren't working well in 0.8.1. One bed stays, the other malfunctions!

Reply
avatar
xXStarWolf64Xx
March 1, 2014 at 3:31 AM delete

Do you know if the iPod 4th generation will make the cut?

Reply
avatar
Manni
March 1, 2014 at 12:22 PM delete

Will the ipad air work plz get back to me thx guys u guys are awesome

Reply
avatar
March 1, 2014 at 12:26 PM delete

Yes, iPad Air is fine. And in the future, please don't post multiple comments about the same thing. It clogs up the comments :)

Reply
avatar
Manni
March 1, 2014 at 12:28 PM delete

K sorry bout the multiple comments thing I was just rally scared thx

Reply
avatar
DreadLord64
March 1, 2014 at 10:53 PM delete

Yeah all the redstone related blocks will be in 1.0.0 but at lest we will be getting some of the redstone stuff in 0.9.0

Reply
avatar
DreadLord64
March 1, 2014 at 10:57 PM delete

THIS IS GREAT NEWS WHEN YOU SAID TABLETS I WAS THINKING "I WONT GET INFINITE WORLDS NOOOOOOOO!!! but then I read the list and it was the GREATEST relief EVER!! (- :

Reply
avatar
EmberEnderforxc
March 3, 2014 at 3:18 AM delete

So that means IPad 2 will work

Reply
avatar
EmberEnderforxc
March 3, 2014 at 3:19 AM delete

I think ?

Reply
avatar
John
March 4, 2014 at 12:10 PM delete

will iphone 4G can play 0.9.0,too?

Reply
avatar
Ghgore
March 4, 2014 at 3:13 PM delete

If you have a texture pack XD

Reply
avatar
Ec 17
March 7, 2014 at 3:13 AM delete

Will the iphone 4 work or will it work with more lag? Or will it just not work at all plz reply every other site won't reply

Reply
avatar
March 7, 2014 at 3:53 AM delete

It will work, but it will be laggy.

Reply
avatar